Subject: FVWM: fvwm 2.0.44 question

From: "Mike Campbell" <[email-masked]>
Date: 20 Jan 97 05:30:32 -0800

I have just downloaded and compiled FVWM version 2.0.44 and have a quick 
question about the .fvwm2rc configuration file. 
 
It seems that after a normal compile the window title bars no longer get the 
background color set properly. In version 2.0.43 I was able to successfully 
use the HilightColor option to set the background to grey and the foreground 
to black. Note that since I am using a black and white NCD x-terminal I don't 
have the option of using colors. 
 
After installing 2.0.44 I don't seem to be able to get any background title 
bar colors except white. I assume that this may have something to do with the 
new titlestyle and userdecor options but am not sure. 
 
Does anyone have a suggestion/work-around to get the active window's title bar 
to stand out so that I can see which one is active or is there a bug in the 
HiLightColor option now that does not allow for greyscale colors??? 
 
Please reply directly to me as I am not on the mailing list. 
 
Thanks, 
 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
Mike Campbell 
Oracle Technical Support Analyst	Phone: 407-888-3786 
5955 T.G. Lee Blvd., Suite 400		Fax:   407-851-9093 
Orlando, FL 32822			Email: [email-masked] 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: lar3ry gensch <[email-masked]>
Date: Mon, 20 Jan 1997 09:15:42 -0500

> Please reply directly to me as I am not on the mailing list.

AddToDecor	Default
+	TitleStyle	LeftJustified ActiveUp (Solid Navy -- flat) \
			ActiveDown (Solid Navy -- flat) \
			Inactive (Solid grey51 -- flat)
+	HilightColor	white grey60

Style "*"	UseDecor Default, ForeColor Black

This will give your ACTIVE windows a navy blue background and a white
foreground.  Your inactive windows will have a grey51 background and a
black background.

I agree that figuring out which properties affected what was not
intuitive, and took a LOT of figuring out.  My process was to use tkman
to display the fvwm2 man page, search for the word 'color' and tinker
with each thing until things started to look right.

Maybe for the release, the "titlestyle" could specify foreground AND
background colors.  Of course, that could adversely affect the
UseTitleStyle option in the ButtonStyle commands (but that's left for
the maintainers).

In a pinch:

- TitleStyle sets the background colors.
- HilightColor sets the foreground color for active windows
- ForeColor Style option sets the foreground color for inactive windows.

Confused?  So was I.  [smile]

-- 
(void) lar3ry();                                      [email-masked]

     "Sometimes it happens.  People just explode.  Natural causes."

---

From: "Paul D. Smith" <[email-masked]>
Date: Mon, 20 Jan 97 09:43:47 EST

%% Regarding Re: FVWM: fvwm 2.0.44 question;
%% lar3ry gensch <[email-masked]> writes:

  lg> Mike Campbell wrote:
  >> 
  >> It seems that after a normal compile the window title bars no
  >> longer get the background color set properly. In version 2.0.43 I
  >> was able to successfully use the HilightColor option to set the
  >> background to grey and the foreground to black. Note that since I
  >> am using a black and white NCD x-terminal I don't have the option
  >> of using colors.

  lg> AddToDecor	Default
  lg>  [...]

I don't _think_ any of this is necessary.  I moved to 2.0.44 and my
"old" (2.0.42) ~/.fvwm2rc file worked just fine; my titles, etc. all
appeared exactly the same as before without changing anything (e.g., I
had:

  # Colors for non-selected windows
  Style "*" Color LightSkyBlue2/RoyalBlue4

  # Colors for selected windows
  HilightColor Black DeepSkyBlue

and it worked great).

I think Mike's problem is that something actually broke when supporting
B&W X servers (note Jakob's message as well).

-- 
-------------------------------------------------------------------------------
 Paul D. Smith <[email-masked]>         Network Management Development
 "Please remain calm...I may be mad, but I am a professional." --Mad Scientist
-------------------------------------------------------------------------------
     These are my opinions--Bay Networks takes no responsibility for them.
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].